/*
 * Copyright (C) 2000-2003 ASANO Masahiro
 */

#include <unistd.h>
#include "crash.h"

void
load_pgd(addr)
	addr_t addr;
{
}

addr_t
translate_addr(addr, count, errmsg)
	addr_t addr;
	addr_t *count;
	const char *errmsg;
{
	if (addr < kmem_low) {
		/* user space, not work... */
		THROWF("Error: V-P translation error: %lx", addr);
	} else if (addr >= (high_memory? high_memory: kmem_high)) {
		/* not work... */
		THROWF("Error: V-P translation error: %lx", addr);
	}
	/* global address */
	return addr - kmem_low;
}
